Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures
Class InvalidByteCodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.gjt.jclasslib.structures.InvalidByteCodeException

All Implemented Interfaces:
  Serializable

public class InvalidByteCodeException
extends Exception

Exception relating to errors in the class file format of internal state of the `ClassFile` structure and its substructures.

Version:
  $Revision: 1.3 $ $Date: 2003/08/18 07:52:54 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Constructor Summary
`InvalidByteCodeException()` Constructor.
`InvalidByteCodeException(String message)` Constructor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidByteCodeException

    public InvalidByteCodeException()

  Constructor.

### InvalidByteCodeException

    public InvalidByteCodeException(String message)

  Constructor.

Parameters:
  `message` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD